Assinatura Incremental
Voltar um passo na assinatura incremental
Volta o rascunho da assinatura incremental a um passo anterior, sem apagar o que já foi gravado.
POST
/
signer
/
v1
/
incremental-signatures
/
:uuid
/
back
Voltar um passo na assinatura incremental
curl --request POST \
--url https://api.valid.com/signer/v1/incremental-signatures/:uuid/back \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"step": {}
}'import requests
url = "https://api.valid.com/signer/v1/incremental-signatures/:uuid/back"
payload = { "step": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({step: {}})
};
fetch('https://api.valid.com/signer/v1/incremental-signatures/:uuid/back', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valid.com/signer/v1/incremental-signatures/:uuid/back",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'step' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.valid.com/signer/v1/incremental-signatures/:uuid/back"
payload := strings.NewReader("{\n \"step\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.valid.com/signer/v1/incremental-signatures/:uuid/back")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"step\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valid.com/signer/v1/incremental-signatures/:uuid/back")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"step\": {}\n}"
response = http.request(request)
puts response.read_bodyHTTP/1.1 200 OK
Content-Type: application/json
{
"envelopeUuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "CCB 2026-0001",
"stateId": 3,
"state": "Inserir signatários",
"dueDate": "2026-12-31T23:59:59.000Z",
"reminderEveryHours": 24,
"signingMode": "parallel",
"notificationChannel": "EMAIL",
"urlNotification": null,
"createdAt": "2026-11-13T10:30:00.000Z"
}
Volta o rascunho a um passo anterior para corrigir algo. Nada é apagado: documentos, signatários e posições continuam gravados. Depois de corrigir, avance de novo com
advance.
Parâmetros
O passo para onde voltar:
settings, documents, signers, positioning ou review. Só passos anteriores ao estado atual.Respostas
O rascunho no estado do passo escolhido, no mesmo formato dePOST .../drafts.
Erros
Veja Autenticação e erros.- 400:
stepinválido. - 404: Não existe assinatura incremental com este uuid no seu projeto. Um envelope comum também responde 404 aqui: ele se edita pelas rotas de
/signer/v1/envelopes. - 409: A assinatura já foi enviada, ou o passo está à frente do estado atual.
HTTP/1.1 200 OK
Content-Type: application/json
{
"envelopeUuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "CCB 2026-0001",
"stateId": 3,
"state": "Inserir signatários",
"dueDate": "2026-12-31T23:59:59.000Z",
"reminderEveryHours": 24,
"signingMode": "parallel",
"notificationChannel": "EMAIL",
"urlNotification": null,
"createdAt": "2026-11-13T10:30:00.000Z"
}
Exemplo
curl -X POST "https://api.valid.com/signer/v1/incremental-signatures/550e8400-e29b-41d4-a716-446655440000/back" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"step": "signers"}'
⌘I
Voltar um passo na assinatura incremental
curl --request POST \
--url https://api.valid.com/signer/v1/incremental-signatures/:uuid/back \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"step": {}
}'import requests
url = "https://api.valid.com/signer/v1/incremental-signatures/:uuid/back"
payload = { "step": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({step: {}})
};
fetch('https://api.valid.com/signer/v1/incremental-signatures/:uuid/back', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valid.com/signer/v1/incremental-signatures/:uuid/back",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'step' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.valid.com/signer/v1/incremental-signatures/:uuid/back"
payload := strings.NewReader("{\n \"step\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.valid.com/signer/v1/incremental-signatures/:uuid/back")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"step\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valid.com/signer/v1/incremental-signatures/:uuid/back")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"step\": {}\n}"
response = http.request(request)
puts response.read_bodyHTTP/1.1 200 OK
Content-Type: application/json
{
"envelopeUuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "CCB 2026-0001",
"stateId": 3,
"state": "Inserir signatários",
"dueDate": "2026-12-31T23:59:59.000Z",
"reminderEveryHours": 24,
"signingMode": "parallel",
"notificationChannel": "EMAIL",
"urlNotification": null,
"createdAt": "2026-11-13T10:30:00.000Z"
}